STRUCT CALLABLE(3)

NAME
boost::proto::callable - Base class for callable PolymorphicFunctionObjects

SYNOPSIS

// In header: <boost/proto/proto_fwd.hpp>
struct callable {
};

DESCRIPTION

When defining a callable PolymorphicFunctionObject, inherit from proto::callable so that it can be used to create a CallableTransform.

proto::is_callable<T>::value is true for types that inherit from proto::callable.